Open App

Labels

API endpoints for labels

listLabels

GET /api/v1/labels

Example request

curl -X GET \
"https://api.example.com/api/v1/labels" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


createLabel

POST /api/v1/labels

Example request

curl -X POST \
"https://api.example.com/api/v1/labels" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


getLabel

GET /api/v1/labels/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X GET \
"https://api.example.com/api/v1/labels/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


updateLabel

PATCH /api/v1/labels/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X PATCH \
"https://api.example.com/api/v1/labels/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


deleteLabel

DELETE /api/v1/labels/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X DELETE \
"https://api.example.com/api/v1/labels/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type